Vantaj

Projects

List projects

Get a paginated list of the projects in your organization.

GEThttps://api.vantaj.co/v1/projects

Requires an API key with the projects:read scope.

Authorizations

Authorizationstringheaderrequired

Bearer authentication using your API key: Authorization: Bearer <token>

Query parameters

limitinteger

Page size (1–100).

Default:25
cursorstring

Opaque cursor from a previous response's next_cursor.

List projects
cURL
curl --request GET \
  --url 'https://api.vantaj.co/v1/projects' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
      "name": "Production",
      "color": "violet",
      "created_at": "2026-01-15T10:30:00Z"
    },
    {
      "id": "1f3e…",
      "name": "Staging",
      "color": "amber",
      "created_at": "2026-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}